Subject: RE: [Gen-art] RE: GENART IETF LC review of draft-ietf-mpls-ecmp-bcp-01.txt:

From: [email-masked]
Date: Thu, 15 Sep 2005 14:57:11 +0300

Scott,

>>  This defines and uses a term "Application Label" as a generic term 
>> for  a label assigned to a FEC defined by an applications using MPLS.
>
>John, I disagree.  It already says "The field in the figure 
>below tagged "Application Label" is a label of the FEC Type 
>used/defined by the application".  "Application" is used 
>throughout the draft.
>"Application label" is not a formal term, it's descriptive.  I 
>flinch at formally defining terms when they are just 
>descriptive phrases, because I spend too much time trying to 
>harmonize different people's sets of terms where they overlap.

My point being that when I read the draft, I didn't get enough context
from the section to actually understand what the format shown in 
the section was.  I was not sure what the label, as shown, was
exactly.  Some simple descriptive text would be nice, that's all.

John

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: [email-masked]
Date: Tue, 20 Sep 2005 17:54:49 +0300

Hi George,

I think it got lost, as I didn't see this.  Anyhow, I'm OK with your
responses, they seem reasonable, so I think this clears all of my
concerns.

br,
John 

>-----Original Message-----
>From: ext George Swallow [mailto:[email-masked]] 
>Sent: 20 September, 2005 07:50
>To: Loughney John (Nokia-NRC/Helsinki)
>Cc: [email-masked]; [email-masked]; [email-masked]; 
>[email-masked]; [email-masked]; [email-masked]
>Subject: Re: GENART IETF LC review of draft-ietf-mpls-ecmp-bcp-01.txt: 
>
>John -
>
>I replied to this last week, but I think it may have gotten 
>lost by my mailer...
>
>> >Thanks for your review.  The issues you raise seems straightforward 
>> >except for the two below:
>> >
>> >> 2) Section 3 Recommendations for Avoiding ECMP Treatment, 
>seems to 
>> >> define a new attribute.  I'm not an MPLS expert, so I 
>don't know if 
>> >> this is a new attribute or if it is defined elsewhere.  If it is 
>> >> defined elsewhere, I think a pointer to the specification 
>is needed.
>> >
>> >What "attribute" are you referring to?  I define and use a term 
>> >"Application Label" as a generic term for a label assigned to a FEC 
>> >defined by an applications using MPLS.  As I read it, it seems self 
>> >contained.
>> 
>> That is the label, so if I understand what you are saying, is that 
>> this is a generic format for an 'application label'.  This wasn't 
>> entirely clear to me, so maybe just adding some text, like:
>> 
>I'll add some clarifying text, but I think I'll leave the 
>definition local to this document.
>
>> >> 3) Security consideration section should have some text about
>> security.
>> >> Do current EMCP practices have any security issues?  If not, then 
>> >> say
>> 
>> >> that.
>> >
>> >The guidelines for the security section say that one should explore 
>> >the security issues raised by the proposal.  I don't think 
>this means 
>> >I need to address any security issues associated with current ECMP 
>> >practices.
>> >They are what they are and this document doesn't change 
>them one way 
>> >or the other.  I honestly don't believe that there are any security 
>> >issues with current ECMP practices.  But those practices are vendor 
>> >proprietary, so I am certainly in no position to say for sure.  Nor 
>> >do I think the IETF would want to take on the liability associated 
>> >with publishing such an assertion.
>> 
>> That's fine, then.  Perhaps stating in the draft what you say above 
>> would be OK?
>
>I really rather not.  It's likely to raise a lot of questions 
>that only individual vendors can answer.
>
>...George
>
>===============================================================
>=========
>George Swallow             Cisco Systems                  
>(978) 936-1398
>                           1414 Massachusetts Avenue
>                           Boxborough, MA 01719
>